Gecode::Set::Branch::MeritMin Class Reference
Other available functionality » Merit-based set view selection for branchers

Merit class for mimimum of set views. More...

`#include <branch.hh>`

## Public Member Functions

| MeritMin (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
| MeritMin (Space &home, MeritMin &m)
| Constructor for cloning.
int | operator() (const Space &home, SetView x, int i)
| Return minimum as merit for view x at position i.
Public Member Functions inherited from Gecode::MeritBase< SetView, int >
| MeritBase (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete view merit class.

## Additional Inherited Members

Public Types inherited from Gecode::MeritBase< SetView, int >
typedef SetView | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef int | Val
| Type of merit.

## Detailed Description

Merit class for mimimum of set views.

Requires

#include <gecode/set/branch.hh>
branch.hh

Definition at line 70 of file branch.hh.

## Constructor & Destructor Documentation

## MeritMin() [1/2]

Gecode::Set::Branch::MeritMin::MeritMin | ( | Space & | home,
|  | const VarBranch< Var > & | vb )

inline

Constructor for initialization.

Definition at line 44 of file merit.hpp.

## MeritMin() [2/2]

Gecode::Set::Branch::MeritMin::MeritMin | ( | Space & | home,
|  | MeritMin & | m )

inline

Constructor for cloning.

Definition at line 47 of file merit.hpp.

## Member Function Documentation

## operator()()

int Gecode::Set::Branch::MeritMin::operator() | ( | const Space & | home,
|  | SetView | x,
|  | int | i )

inline

Return minimum as merit for view x at position i.

Definition at line 50 of file merit.hpp.

The documentation for this class was generated from the following files:

- gecode/set/branch.hh
- gecode/set/branch/merit.hpp